
<app-box>
    <form [formGroup]="projectForm" novalidate (ngSubmit)="onSubmit()">
        <app-form-group [control]="nameCtrl" label="{{'PROJECT.NAME' | translate}}">
            <input type="text" id="name" class="form-control" formControlName="name">
        </app-form-group>
        <app-form-group [control]="repoCtrl" label="{{'PROJECT.REPOSITORY' | translate}}">
            <input type="text" class="form-control" formControlName="repository">
            <span class="help-block">{{'PROJECT.REPOSITORYHELPTEXT' | translate}} <i>(git@example.com:example/project.git)</i></span>
        </app-form-group>
        <app-form-group [control]="branchCtrl" label="{{'PROJECT.BRANCH' | translate}}">
            <input type="text" class="form-control" formControlName="branch">
        </app-form-group>
        <app-form-group [control]="urlCtrl" label="{{'PROJECT.URL' | translate}}">
            <input type="text" class="form-control" formControlName="url">
            <span class="help-block">{{'PROJECT.URLHELPTEXT' | translate}}</span>
        </app-form-group>
        <button type="submit" class="btn btn-success">{{'FORM.SAVE' | translate}}</button>
        <button type="button" class="btn btn-danger pull-right" (click)="onDelete()" *ngIf="isEdit">{{'FORM.DELETE' | translate}}</button>
    </form>
</app-box>

<app-project-options-form *ngIf="project" [project]="project"></app-project-options-form>